#ifndef lint
static char const 
yyrcsid[] = "$FreeBSD: src/usr.bin/yacc/skeleton.c,v 1.28 2000/01/17 02:04:06 bde Exp $";
#endif
#include <stdlib.h>
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define YYLEX yylex()
#define YYEMPTY -1
#define yyclearin (yychar=(YYEMPTY))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING() (yyerrflag!=0)
static int yygrowstack();
#define yyparse NFSv3yyparse
#define yylex NFSv3yylex
#define yyerror NFSv3yyerror
#define yychar NFSv3yychar
#define yyval NFSv3yyval
#define yylval NFSv3yylval
#define yydebug NFSv3yydebug
#define yynerrs NFSv3yynerrs
#define yyerrflag NFSv3yyerrflag
#define yyss NFSv3yyss
#define yyssp NFSv3yyssp
#define yyvs NFSv3yyvs
#define yyvsp NFSv3yyvsp
#define yylhs NFSv3yylhs
#define yylen NFSv3yylen
#define yydefred NFSv3yydefred
#define yydgoto NFSv3yydgoto
#define yysindex NFSv3yysindex
#define yyrindex NFSv3yyrindex
#define yygindex NFSv3yygindex
#define yytable NFSv3yytable
#define yycheck NFSv3yycheck
#define yyname NFSv3yyname
#define yyrule NFSv3yyrule
#define yysslim NFSv3yysslim
#define yystacksize NFSv3yystacksize
#define YYPREFIX "NFSv3yy"
#line 5 "util/parser/parser.y"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "GLOBALS.h"			/* Contains the custom Linux_SystemSetting classname _SETTINGCLASSNAME */

#include "cmpidt.h"     		/* Contains CIM type definitions */
static CMPIType propertytype;			/* CIM type of the current property */

extern FILE * NFSv3yyout;
extern char * NFSv3comments;

/* DEFINE ANY GLOBAL VARS HERE */
static char pathname[_MAXNAMELENGTH];		/* Pathname of the current exported directory */
static char * entryname;			/* String containing the unique entry name; i.e. "hostname:pathname" */

static setentryvalue(char * pathname, char * hostname);
static startinstance (char * classname);
static endinstance();
static startproperty (char * name, CMPIType type);
static endproperty();
static setvalue (void * value);

#line 31 "util/parser/parser.y"
typedef union {
   CMPIBoolean          boolean;
   CMPIChar16           char16;
   CMPIUint8            uint8;
   CMPIUint16           uint16;
   CMPIUint32           uint32;
   CMPIUint64           uint64;
   CMPISint8            sint8;
   CMPISint16           sint16;
   CMPISint32           sint32;
   CMPISint64           sint64;
   CMPIReal32           real32;
   CMPIReal64           real64;
   /* Note - we override the CIM definition of string and dateTime to make these data types
      easier to handle in the lexer/parser. Both are instead implemented as simple text strings. */
   char *		string;
   char *		dateTime;
} YYSTYPE;
#line 86 "parser.c"
#define YYERRCODE 256
#define ANONGID 257
#define ANONUID 258
#define PATHNAME 259
#define HOSTNAME 260
#define SQUASH 261
#define PERMISSION 262
#define SECURE 263
#define SYNC 264
#define WRITEDELAY 265
#define HIDE 266
#define SUBTREECHECK 267
#define SECURELOCKS 268
#define NUMBER 269
const short NFSv3yylhs[] = {                                        -1,
    0,    0,    0,    1,    2,    2,    3,    3,    6,    4,
    5,    5,    5,    5,    7,    7,    8,    8,    8,    8,
    8,    8,    8,    8,    8,    8,
};
const short NFSv3yylen[] = {                                         2,
    0,    1,    2,    2,    1,    3,    1,    2,    0,    2,
    4,    3,    1,    3,    1,    3,    1,    1,    1,    1,
    1,    1,    1,    1,    3,    3,
};
const short NFSv3yydefred[] = {                                      0,
    5,    0,    0,    0,    9,    0,    3,    4,    0,    0,
    6,    8,    0,    0,   10,    0,    0,    0,   19,   17,
   18,   20,   21,   22,   23,   24,    0,    0,   14,    0,
    0,    0,   12,    0,   11,   25,   26,   16,
};
const short NFSv3yydgoto[] = {                                       3,
    4,    5,    8,    9,   15,   10,   27,   28,
};
const short NFSv3yysindex[] = {                                    -30,
    0, -242,    0,  -30,    0,  -27,    0,    0,    0,  -32,
    0,    0,  -22, -252,    0,  -41,  -42,  -40,    0,    0,
    0,    0,    0,    0,    0,    0,  -19,  -21,    0,  -17,
 -244, -243,    0, -252,    0,    0,    0,    0,
};
const short NFSv3yyrindex[] = {                                     27,
    0,    0,    0,   27,    0,    0,    0,    0,    1,    0,
    0,    0,    3,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  -13,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,
};
const short NFSv3yygindex[] = {                                     25,
    0,    0,   21,    0,    0,    0,  -14,    0,
};
#define YYTABLESIZE 263
const short NFSv3yytable[] = {                                      29,
    7,   30,   13,    2,   17,   18,   11,   14,   19,   20,
   21,   22,   23,   24,   25,   26,    6,   16,   31,   38,
   32,   33,   34,   35,   36,   37,    1,   15,    7,   12,
    0,    0,    0,    0,    7,    0,   13,    0,    0,    0,
    9,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   17,   18,    0,    0,   19,
   20,   21,   22,   23,   24,   25,   26,   13,    1,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    7,
    9,   13,   13,
};
const short NFSv3yycheck[] = {                                      41,
    0,   16,    0,   34,  257,  258,   34,   40,  261,  262,
  263,  264,  265,  266,  267,  268,  259,   40,   61,   34,
   61,   41,   44,   41,  269,  269,    0,   41,    4,    9,
   -1,   -1,   -1,   -1,   34,   -1,   34,   -1,   -1,   -1,
   40,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  257,  258,   -1,   -1,  261,
  262,  263,  264,  265,  266,  267,  268,  260,  259,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  259,
  260,  259,  260,
};
#define YYFINAL 3
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 269
#if YYDEBUG
const char * const NFSv3yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
"'\"'",0,0,0,0,0,"'('","')'",0,0,"','",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"'='",0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"ANONGID",
"ANONUID","PATHNAME","HOSTNAME","SQUASH","PERMISSION","SECURE","SYNC",
"WRITEDELAY","HIDE","SUBTREECHECK","SECURELOCKS","NUMBER",
};
const char * const NFSv3yyrule[] = {
"$accept : stanzas",
"stanzas :",
"stanzas : stanza",
"stanzas : stanza stanzas",
"stanza : pathname instances",
"pathname : PATHNAME",
"pathname : '\"' PATHNAME '\"'",
"instances : instance",
"instances : instance instances",
"$$1 :",
"instance : $$1 hostinfo",
"hostinfo : HOSTNAME '(' attributes ')'",
"hostinfo : '(' attributes ')'",
"hostinfo : HOSTNAME",
"hostinfo : HOSTNAME '(' ')'",
"attributes : attribute",
"attributes : attribute ',' attributes",
"attribute : PERMISSION",
"attribute : SECURE",
"attribute : SQUASH",
"attribute : SYNC",
"attribute : WRITEDELAY",
"attribute : HIDE",
"attribute : SUBTREECHECK",
"attribute : SECURELOCKS",
"attribute : ANONGID '=' NUMBER",
"attribute : ANONUID '=' NUMBER",
};
#endif
#if YYDEBUG
#include <stdio.h>
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 10000
#define YYMAXDEPTH 10000
#endif
#endif
#define YYINITSTACKSIZE 200
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short *yyss;
short *yysslim;
YYSTYPE *yyvs;
int yystacksize;
#line 157 "util/parser/parser.y"
/* USER SUBROUTINE SECTION */

/* Short routine to write a compound SettingID value "hostname:pathname" */
static setentryvalue(char * pathname, char * hostname)
{
   char * entryname = malloc(strlen(pathname)+strlen(hostname)+2);
   sprintf(entryname, "%s:%s", hostname, pathname);
   setvalue(entryname);
   free(entryname);
}

/* DO NOT CHANGE ANYTHING BELOW THIS LINE */

/* XML CIM output subroutines */

/* Start XML CIM instance specification */
static startinstance (char * classname)
{
   fprintf(NFSv3yyout, "<INSTANCE CLASSNAME=\"%s\">\n", classname);
}

/* End XML CIM instance specification */
static endinstance()
{
   fprintf(NFSv3yyout, "</INSTANCE>\n\n");
}

/* Start XML CIM property specification */
static startproperty (char * name, CMPIType type)
{
   fprintf(NFSv3yyout, " <PROPERTY NAME=\"%s\"", name);
   propertytype = type;
   switch(propertytype) {
      case CMPI_boolean:	fprintf(NFSv3yyout, " TYPE=\"boolean\""); break;
      case CMPI_char16:		fprintf(NFSv3yyout, " TYPE=\"char16\""); break;
      case CMPI_uint8:		fprintf(NFSv3yyout, " TYPE=\"uint8\""); break;
      case CMPI_sint8:		fprintf(NFSv3yyout, " TYPE=\"sint8\""); break;
      case CMPI_uint16:		fprintf(NFSv3yyout, " TYPE=\"uint16\""); break;
      case CMPI_sint16:		fprintf(NFSv3yyout, " TYPE=\"sint16\""); break;
      case CMPI_uint32:		fprintf(NFSv3yyout, " TYPE=\"uint32\""); break;
      case CMPI_sint32:		fprintf(NFSv3yyout, " TYPE=\"sint32\""); break;
      case CMPI_uint64:		fprintf(NFSv3yyout, " TYPE=\"uint64\""); break;
      case CMPI_sint64:		fprintf(NFSv3yyout, " TYPE=\"sint64\""); break;
      case CMPI_real32:		fprintf(NFSv3yyout, " TYPE=\"real32\""); break;
      case CMPI_real64:		fprintf(NFSv3yyout, " TYPE=\"real64\""); break;
      case CMPI_string:         fprintf(NFSv3yyout, " TYPE=\"string\""); break;
      case CMPI_dateTime:       fprintf(NFSv3yyout, " TYPE=\"dateTime\""); break;
      default:			fprintf(stderr, "Unknown property type CMPIType=%d\n", propertytype);
				exit(1);
				break;
   }
   fprintf(NFSv3yyout, ">");
}

/* End XML CIM property specification */
static endproperty()
{
   fprintf(NFSv3yyout, " </PROPERTY>\n");
}

/* Set an XML CIM value */
static setvalue (void * value)
{
   fprintf(NFSv3yyout, " <VALUE>");
   switch(propertytype) {
      case CMPI_boolean:     	fprintf(NFSv3yyout, *((CMPIBoolean *)value)? "true":"false"); break;
      case CMPI_char16:		fprintf(NFSv3yyout, "%c", *((CMPIChar16 *)value)); break;
      case CMPI_uint8:		fprintf(NFSv3yyout, "%u", *((CMPIUint8 *)value)); break;
      case CMPI_sint8:		fprintf(NFSv3yyout, "%d", *((CMPISint8 *)value)); break;
      case CMPI_uint16:		fprintf(NFSv3yyout, "%u", *((CMPIUint16 *)value)); break;
      case CMPI_sint16:		fprintf(NFSv3yyout, "%d", *((CMPISint16 *)value)); break;
      case CMPI_uint32:		fprintf(NFSv3yyout, "%u", *((CMPIUint32 *)value)); break;
      case CMPI_sint32:		fprintf(NFSv3yyout, "%d", *((CMPISint32 *)value)); break;
      case CMPI_uint64:		fprintf(NFSv3yyout, "%u", *((CMPIUint64 *)value)); break;
      case CMPI_sint64:		fprintf(NFSv3yyout, "%d", *((CMPISint64 *)value)); break;
      case CMPI_real32:		fprintf(NFSv3yyout, "%f", *((CMPIReal32 *)value)); break;
      case CMPI_real64:		fprintf(NFSv3yyout, "%f", *((CMPIReal64 *)value)); break;
      case CMPI_string:         fprintf(NFSv3yyout, "%s", (char *)value); break;
      case CMPI_dateTime:       fprintf(NFSv3yyout, "%s", (char *)value); break;
      default:          	fprintf(stderr, "Unknown property type CMPIType=%d\n", propertytype);
				exit(1);
				break;
   }
   fprintf(NFSv3yyout, "</VALUE>");
}


/* yacc parser subroutines */

int NFSv3yyparsefile(FILE * infile, FILE * outfile)
{
   NFSv3yyrestart(infile);
   NFSv3yyout = outfile;
   return(NFSv3yyparse());
}

int main ()
{
   return NFSv3yyparse();
}

#line 370 "parser.c"
/* allocate initial stack or double stack size, up to YYMAXDEPTH */
static int yygrowstack()
{
    int newsize, i;
    short *newss;
    YYSTYPE *newvs;

    if ((newsize = yystacksize) == 0)
        newsize = YYINITSTACKSIZE;
    else if (newsize >= YYMAXDEPTH)
        return -1;
    else if ((newsize *= 2) > YYMAXDEPTH)
        newsize = YYMAXDEPTH;
    i = yyssp - yyss;
    newss = yyss ? (short *)realloc(yyss, newsize * sizeof *newss) :
      (short *)malloc(newsize * sizeof *newss);
    if (newss == NULL)
        return -1;
    yyss = newss;
    yyssp = newss + i;
    newvs = yyvs ? (YYSTYPE *)realloc(yyvs, newsize * sizeof *newvs) :
      (YYSTYPE *)malloc(newsize * sizeof *newvs);
    if (newvs == NULL)
        return -1;
    yyvs = newvs;
    yyvsp = newvs + i;
    yystacksize = newsize;
    yysslim = yyss + newsize - 1;
    return 0;
}

#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab

#ifndef YYPARSE_PARAM
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG void
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif	/* ANSI-C/C++ */
#else	/* YYPARSE_PARAM */
#ifndef YYPARSE_PARAM_TYPE
#define YYPARSE_PARAM_TYPE void *
#endif
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG YYPARSE_PARAM_TYPE YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL YYPARSE_PARAM_TYPE YYPARSE_PARAM;
#endif	/* ANSI-C/C++ */
#endif	/* ! YYPARSE_PARAM */

int
yyparse (YYPARSE_PARAM_ARG)
    YYPARSE_PARAM_DECL
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register const char *yys;

    if ((yys = getenv("YYDEBUG")))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    if (yyss == NULL && yygrowstack()) goto yyoverflow;
    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if ((yyn = yydefred[yystate])) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yysslim && yygrowstack())
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#if defined(lint) || defined(__GNUC__)
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#if defined(lint) || defined(__GNUC__)
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yysslim && yygrowstack())
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 5:
#line 85 "util/parser/parser.y"
{
				strcpy(pathname,yyvsp[0].string); free(yyvsp[0].string);
			}
break;
case 6:
#line 89 "util/parser/parser.y"
{
				strcpy(pathname,yyvsp[-1].string); free(yyvsp[-1].string);
			}
break;
case 9:
#line 98 "util/parser/parser.y"
{
				startinstance(_SETTINGCLASSNAME);
				startproperty("Directory",CMPI_string); setvalue(pathname); endproperty();
	       		}
break;
case 10:
#line 103 "util/parser/parser.y"
{
                                /* Check if there are any comments pending */
                                if (NFSv3comments != NULL) {
                                   startproperty("Description",CMPI_string);
                                   /* Strip off the trailing newline */
                                   if (NFSv3comments[strlen(NFSv3comments)-1] == '\n') NFSv3comments[strlen(NFSv3comments)-1] = '\0';
                                   setvalue(NFSv3comments);
                                   endproperty();
                                   free(NFSv3comments); NFSv3comments = NULL;
                                }
				endinstance();
			}
break;
case 11:
#line 119 "util/parser/parser.y"
{
				startproperty("RemoteHost",CMPI_string); setvalue(yyvsp[-3].string); endproperty();
				startproperty("SettingID",CMPI_string); setentryvalue(pathname,yyvsp[-3].string); endproperty();
				free(yyvsp[-3].string);
			}
break;
case 12:
#line 125 "util/parser/parser.y"
{
				startproperty("SettingID",CMPI_string); setentryvalue(pathname,""); endproperty();
			}
break;
case 14:
#line 130 "util/parser/parser.y"
{
				startproperty("RemoteHost",CMPI_string); setvalue(yyvsp[-2].string); endproperty();
				startproperty("SettingID",CMPI_string); setentryvalue(pathname,yyvsp[-2].string); endproperty();
				free(yyvsp[-2].string);
			}
break;
case 17:
#line 143 "util/parser/parser.y"
{ startproperty("Permission",CMPI_string); setvalue(yyvsp[0].string); endproperty(); free(yyvsp[0].string); }
break;
case 18:
#line 144 "util/parser/parser.y"
{ startproperty("Secure",CMPI_boolean); setvalue(&yyvsp[0].boolean); endproperty(); }
break;
case 19:
#line 145 "util/parser/parser.y"
{ startproperty("Squash",CMPI_string); setvalue(yyvsp[0].string); endproperty(); free(yyvsp[0].string); }
break;
case 20:
#line 146 "util/parser/parser.y"
{ startproperty("Sync",CMPI_boolean); setvalue(&yyvsp[0].boolean); endproperty(); }
break;
case 21:
#line 147 "util/parser/parser.y"
{ startproperty("WriteDelay",CMPI_boolean); setvalue(&yyvsp[0].boolean); endproperty(); }
break;
case 22:
#line 148 "util/parser/parser.y"
{ startproperty("Hide",CMPI_boolean); setvalue(&yyvsp[0].boolean); endproperty(); }
break;
case 23:
#line 149 "util/parser/parser.y"
{ startproperty("SubtreeCheck",CMPI_boolean); setvalue(&yyvsp[0].boolean); endproperty(); }
break;
case 24:
#line 150 "util/parser/parser.y"
{ startproperty("SecureLocks",CMPI_boolean); setvalue(&yyvsp[0].boolean); endproperty(); }
break;
case 25:
#line 151 "util/parser/parser.y"
{ startproperty("AnonGID",CMPI_uint16); setvalue(&yyvsp[0].uint16); endproperty(); }
break;
case 26:
#line 152 "util/parser/parser.y"
{ startproperty("AnonUID",CMPI_uint16); setvalue(&yyvsp[0].uint16); endproperty(); }
break;
#line 661 "parser.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yysslim && yygrowstack())
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
